Summary: Bundle of sample clutter apps
Name: moblin-sample-apps
Version: 0.1
Release: %mkrel 1.38
License: GPL
Group: System/Base
Source: %{name}-%{version}.tar.gz
Patch1: moblin-sample-apps-0.1-word_file.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: clutter-devel >= 0.8
BuildRequires: pango-devel >= 1.20
Requires: x11-font-type1

%description
Four sample clutter applications: apple, colortext, helloworld, squares

%prep
%setup -q
%patch1 -p1 -b .word_file~

%build
./autogen.sh --prefix=/usr
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*

%{_datadir}/applications/apple.desktop
%{_datadir}/applications/colortext.desktop
%{_datadir}/applications/helloworld.desktop
%{_datadir}/applications/squares.desktop

%{_datadir}/colortext/word_file
%{_datadir}/apple/apple_stem3.png
%{_datadir}/apple/caterpillar2.png
%{_datadir}/apple/leaf.png
%{_datadir}/apple/text_bubble.png

%{_datadir}/icons/hicolor/48x48/apps/clutter_apple.png
%{_datadir}/icons/hicolor/48x48/apps/clutter_colortext.png
%{_datadir}/icons/hicolor/32x32/apps/clutter_helloworld.png
%{_datadir}/icons/hicolor/32x32/apps/clutter_squares.png



%changelog
* Thu Oct 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-1.38mdv2009.1
+ Revision: 294223
- import moblin-sample-apps



* Thu Oct 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-1.38mdv2009.1
- adapt for Mandriva

* Thu Aug 14 2008 Xu Li <xu.li@intel.com>
- Formalize the spec file
- Add word_file patch

* Wed Aug 13 2008 Felicia Decker
- Initial spec file
